curl --request POST \
--url https://api.pipedream.com/v1/connect/{project_id}/actions/configure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-pd-environment: <x-pd-environment>' \
--data '
{
"id": "<string>",
"external_user_id": "<string>",
"prop_name": "<string>",
"version": "1.0.0",
"blocking": true,
"configured_props": {},
"dynamic_props_id": "<string>",
"page": 123,
"prev_context": {},
"query": "<string>"
}
'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
await client.actions.configureProp({
id: "id",
externalUserId: "external_user_id",
propName: "prop_name"
});
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
client.actions.configure_prop(
id="id",
external_user_id="external_user_id",
prop_name="prop_name",
)
package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.types.ConfigurePropOpts;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;
client.actions().configureProp(
ConfigurePropOpts
.builder()
.id("id")
.externalUserId("external_user_id")
.propName("prop_name")
.build()
);
}
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/{project_id}/actions/configure"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"external_user_id\": \"<string>\",\n \"prop_name\": \"<string>\",\n \"version\": \"1.0.0\",\n \"blocking\": true,\n \"configured_props\": {},\n \"dynamic_props_id\": \"<string>\",\n \"page\": 123,\n \"prev_context\": {},\n \"query\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-pd-environment", "<x-pd-environment>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"options": [
{
"label": "<string>",
"value": "<string>"
}
],
"stringOptions": [
"<string>"
],
"observations": [
{
"k": "<string>",
"ts": 123,
"err": {
"name": "<string>",
"message": "<string>",
"stack": "<string>"
},
"msg": "<string>"
}
],
"context": {},
"errors": [
"<string>"
]
}{
"error": "Throttled"
}Configure action prop
Retrieve remote options for a given prop for a action
curl --request POST \
--url https://api.pipedream.com/v1/connect/{project_id}/actions/configure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-pd-environment: <x-pd-environment>' \
--data '
{
"id": "<string>",
"external_user_id": "<string>",
"prop_name": "<string>",
"version": "1.0.0",
"blocking": true,
"configured_props": {},
"dynamic_props_id": "<string>",
"page": 123,
"prev_context": {},
"query": "<string>"
}
'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
await client.actions.configureProp({
id: "id",
externalUserId: "external_user_id",
propName: "prop_name"
});
from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
client.actions.configure_prop(
id="id",
external_user_id="external_user_id",
prop_name="prop_name",
)
package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.types.ConfigurePropOpts;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;
client.actions().configureProp(
ConfigurePropOpts
.builder()
.id("id")
.externalUserId("external_user_id")
.propName("prop_name")
.build()
);
}
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/{project_id}/actions/configure"
payload := strings.NewReader("{\n \"id\": \"<string>\",\n \"external_user_id\": \"<string>\",\n \"prop_name\": \"<string>\",\n \"version\": \"1.0.0\",\n \"blocking\": true,\n \"configured_props\": {},\n \"dynamic_props_id\": \"<string>\",\n \"page\": 123,\n \"prev_context\": {},\n \"query\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-pd-environment", "<x-pd-environment>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"options": [
{
"label": "<string>",
"value": "<string>"
}
],
"stringOptions": [
"<string>"
],
"observations": [
{
"k": "<string>",
"ts": 123,
"err": {
"name": "<string>",
"message": "<string>",
"stack": "<string>"
},
"msg": "<string>"
}
],
"context": {},
"errors": [
"<string>"
]
}{
"error": "Throttled"
}Authorizations
A short-lived Connect token for client-side requests on behalf of an end user. Generate one via the Create Connect token endpoint.
Headers
The environment in which the server client is running
development, production Path Parameters
The project ID, which starts with proj_.
^proj_[a-zA-Z0-9]+$Body
Request options for configuring a component's prop
The component ID
The external user ID
The name of the prop to configure
Component semantic version
"1.0.0"
Whether this operation should block until completion
The configured properties of the component
Show child attributes
Show child attributes
The ID for dynamic props
Page number for paginated results
Previous context for pagination
Search query for filtering options
Response
action configuration started
Response received after configuring a component's prop
Available options (with labels) for the configured prop
A configuration option for a component's prop
- Option 1
- Option 2
Show child attributes
Show child attributes
Available options for the configured prop
Show child attributes
Show child attributes
New context after configuring the prop
Any errors that occurred during configuration
Was this page helpful?